Add Ring Feature Fails on Mapped Feature using Poly Tool within QGIS

2013-03-19 11:30 PM - Jeremy Taylor

Status: Closed

Priority: Low

Assignee: Nyall Dawson

Category: Vectors

Affected QGIS version:1.8.0 Regression?: No

Operating System: Lisboa Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16369

Description

I have seen this error a few times. If you map some polygons within QGIS sometimes the add ring tool does not work. 

I tried a few things to fix it. Checking the geometry validity, simplifing the polygon, saving out the selection to a new shapefile. All of these

failed. 

One fix, was to create a brand new shapefile and copy the poly into the new shapefile. Then the add ring tool would work again.

I have the corrupt shapefile attached. If someone can look into what happened to the shapefile and find the link how it was caused by qgis

that would be great.

Associated revisions

Revision 957d8269 - 2015-10-13 11:39 PM - Nyall Dawson

When adding ring to a geometry, add z or m dimensions to the

ring geometry if required (fix #7400, #7401)

History

#1 - 2015-10-12 09:47 PM - Nyall Dawson

- Assignee set to Nyall Dawson

#2 - 2015-10-13 02:39 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"957d82698d893c4a0e95c0ac887231b26d894bbb".

Files

Error.zip 3.32 KB 2013-03-19 Jeremy Taylor
